Skip to content
Leadtime
English
Esc
navigateopen⌘Jpreview

Get future vacation requests

Returns all future vacation requests for the current employee.

What is returned:

  • Vacation request ID
  • Start and end dates
  • Current status (Pending, Approved, or Rejected)

Note: This endpoint is only available for employee accounts. Future vacations are those with a start date in the future.

GET/account/employee/vacations/future
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:read
or
AuthorizationBearer token (JWT) · headerrequired
Responses
200
Array of FutureVacationResponse
dateFromstringrequired
dateTostringrequired
idstringrequired
statusstringrequired
Allowed:PendingApprovedRejected
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
404Employee not found
Request
curl -X GET "https://leadtime.app/api/public/account/employee/vacations/future" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Response
[
  {
    "dateFrom": "2024-06-01",
    "dateTo": "2024-06-05",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "status": "Approved"
  }
]